UserInput
POST
/v2/Common/UserInputUserInput prompts the customer to enter a value on the terminal screen. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.
Body Parameters
Title*
stringTimeout
numberMaxLength*
numberHiddenInput
booleanType*
enumTpn
stringRegisterId
stringAuthkey
stringSPInProxyTimeout
numberCustomFields
CustomFields
objectPOST/v2/Common/UserInput
1curl --location 'https://test.spinpos.net/v2/Common/UserInput' \
2--header 'Content-Type: application/json' \
3--data '{
4 "CustomFields": {},
5 "Title": "",
6 "Timeout": "",
7 "MaxLength": "",
8 "HiddenInput": false,
9 "Type": "Number",
10 "Tpn": "",
11 "RegisterId": "",
12 "Authkey": "",
13 "SPInProxyTimeout": ""
14}'
Response
// Awaiting response…
Sample response
{
"InputedString": "",
"GeneralResponse": {
"HostResponseCode": "00",
"HostResponseMessage": "Approved",
"ResultCode": "Ok",
"StatusCode": "0000",
"Message": "Approved",
"DetailedMessage": "APPROVAL VTLMC1",
"DelayBeforeNextRequest": null
}
}